# Get object ID

`GET /workspaces/:workspace/identifiers`

Get the ID of an object using its human-readable identifier

**Required Scopes:** `WORKSPACE`

## URL Parameters

```typescript
interface URLParameters {
  /** The human-readable ID of the workspace */
  workspace: string; // Example: "my-company"
}
```

## Query Parameters

```typescript
interface QueryParameters {
  /** The human-readable ID of the project */
  project?: string; // Example: "my-project"
  /** The human-readable ID of the pipeline */
  pipeline?: string; // Example: "my-pipeline"
  /** The human-readable ID of the environment */
  environment?: string; // Example: "my-environment"
  /** The human-readable ID of the package */
  package?: string; // Example: "my-pkg"
  /** The version of the package */
  package_version?: string; // Example: "v1"
  /** The human-readable ID of the sandbox */
  sandbox?: string; // Example: "my-sandbox"
}
```

## Response Body

```typescript
interface ResponseBody {
  /** API endpoint to GET this object */
  url?: string;
  /** Web URL to view this object in Buddy.works */
  html_url?: string;
  /** The human-readable ID of the workspace */
  domain?: string;
  /** The human-readable ID of the project */
  project_identifier?: string;
  /** The ID of the pipeline */
  pipeline_id?: number;
  /** The ID of the environment */
  environment_id?: string;
  /** The ID of the package */
  pkg_id?: string;
  /** The ID of the package version */
  pkg_version_id?: string;
  /** The ID of the sandbox */
  sandbox_id?: string;
}
```

## Response Example

**Status:** `200 OK`

```json
{
  "url": "https://api.buddy.works/workspaces/my-company",
  "domain": "my-company",
  "project_identifier": "my-project",
  "pipeline_id": 123,
  "environment_id": "ZRB20jX6",
  "pkg_id": "B81VVP1Z",
  "pkg_version_id": "79dMAdl0"
}
```

---
Original source: https://buddy.works/docs/api/platform/workspaces/get-id-by-identifier